Summary: A widely used ray tracing package.
Name: povray
Version: 3.1e
%define	povray	povray31
Release: 2
Copyright: Custom
Group: Applications/Multimedia
Source0: ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povuni_s-%{version}.tgz
Source1: ftp://ftp.povray.org/pub/povray/Official-3.0/Unix/povuni_d-%{version}.tgz
URL: http://www.povray.org
Patch0: povray-%{version}-config.patch
Icon: xpovicon.gif
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
A widely used ray tracing package, Persistence of Vision's Ray Tracer
(POV-ray) is based on David Buck's original ray tracer, DKB-Trace. 
POV-ray is currently developed and supported by members of CompuServe
Graphics Developers' Forum.  The first stage of the process is describing
what you want to depict, either by using an interactive modeling system
like a CAD package, or by creating a text file which uses a programming
language-like syntax to describe the elements of the image.  In both
cases, you have to specify the objects, their shape, their location,
their color, their texture and their illumination. Then you input the
information to the raytracer program and wait (and wait and wait...
raytracing isn't speedy) for its output (the image).

%prep
%setup -q -b 1 -n %{povray}
%patch0 -p1 -b .config

%build
cd source/unix
make newxwin

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/man/man1
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/lib/%{povray}

cd source/unix
cp x-povray ${RPM_BUILD_ROOT}%{_prefix}/bin
cd ../..

for dir in allscene include scenes ; do
    cp -Rf ${dir} ${RPM_BUILD_ROOT}%{_prefix}/lib/%{povray}/
done

cp -f xpovicon.xpm *.sh *.ini ${RPM_BUILD_ROOT}%{_prefix}/lib/%{povray}/

cp -f povray.1 ${RPM_BUILD_ROOT}%{_prefix}/man/man1

rm -f ${RPM_BUILD_ROOT}%{_prefix}/bin/povray
ln -s x-povray ${RPM_BUILD_ROOT}%{_prefix}/bin/povray
strip ${RPM_BUILD_ROOT}%{_prefix}/bin/x-povray

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.doc gamma.gif gamma.gif.txt povwhere.get
%doc source/unix/README.unix source/unix/povrayrc
%{_prefix}/bin/povray
%{_prefix}/bin/x-povray
%{_prefix}/lib/%{povray}/
%{_prefix}/man/man1/povray.1

%changelog
* Tue May 11 1999 Matt Wilson <msw@redhat.com>
- fixed POVLIBDIR to point at /usr/lib/povray31

* Wed Apr 28 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.1e.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com> 
- fixed spec file, built for 5.2 powertools.

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- checked spec file and source, rebuilt package.

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- fixed symlink problem

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot to /var/tmp

* Wed Apr 30 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 3.01 and changed to use a Buildroot

